Skip to main content
GET
/
polymarket
/
market
/
position
/
candlestick
Get position candlesticks by position_id
curl --request GET \
  --url https://api.struct.to/v1/polymarket/market/position/candlestick
[
  {
    "t": 1,
    "l": 123,
    "h": 123,
    "o": 123,
    "c": 123,
    "v": 123,
    "tc": 123,
    "m": 123
  }
]

Query Parameters

position_id
string
required

Position/token ID (required)

resolution
enum<string>
required

Candle interval: 1S, 5S, 10S, 30S, 1, 5, 15, 30, 60, 240, D, 1D

Available options:
1S,
5S,
10S,
30S,
1,
5,
15,
30,
60,
240,
D,
1D
count_back
integer<int32>

Number of candles (max: 2500)

from
integer<int64>

Start timestamp (Unix seconds)

to
integer<int64>

End timestamp (Unix seconds)

pagination_key
string

Cursor-based pagination key from previous response

Response

200 - application/json

OHLCV candlestick data

t
integer<int64>
required

Unix timestamp in seconds.

Required range: x >= 0
l
number<double> | null

Low price.

h
number<double> | null

High price.

o
number<double> | null

Open price.

c
number<double> | null

Close price.

v
number<double> | null

Total volume in USD.

tc
integer<int32> | null

Total transaction count.

m
number<double> | null

Market metadata for this point.

Last modified on June 17, 2026